Subject: Re: [PATCH] powerpc/boot: Only build board support files when required.

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 03 Apr 2012 11:26:35 +1000

On Tue, 2012-04-03 at 11:00 +1000, David Gibson wrote:
> On Tue, Apr 03, 2012 at 10:55:59AM +1000, Tony Breeds wrote:
> > Currently we build all board files regardless of the final zImage
> > target.  This is sub-optimal (in terms on compilation) and leads to
> > problems in one platform needlessly causing failures for other
> > platforms.
> 
> Um.. I believe the one platform breaking another is actually working
> as intended.  I think Paulus did it this way to stop people breaking
> platforms other than the one they were working on without realising
> it.

But that doesn't make sense to enforce that accross CPU families since
they cannot be built together within a single kernel anyway...

Cheers,
Ben.